<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.102
Name: R_PatientNL GBA [identified/confirmable]
Description: COCT_RM050000NL02: Patiënt/persoonsgegevens
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000">
   <title>R_PatientNL GBA [identified/confirmable]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]
Item: (R_PatientNL-GBA-identified-confirmable)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]
Item: (R_PatientNL-GBA-identified-confirmable)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]"
         id="tmp-r-1bf5f633-866c-444e-918a-00227fb4328b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="string(@classCode)='PAT' or not(@classCode)">(R_PatientNL-GBA-identified-confirmable): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']/@nullFlavor)">(R_PatientNL-GBA-identified-confirmable): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102'])&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 ">(R_PatientNL-GBA-identified-confirmable): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(R_PatientNL-GBA-identified-confirmable): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:addr)&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:addr komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:patientPerson)&gt;=1 and not(hl7:patientPerson/@nullFlavor)">(R_PatientNL-GBA-identified-confirmable): element hl7:patientPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:patientPerson)&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:patientPerson komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']
Item: (R_PatientNL-GBA-identified-confirmable)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']"
         id="tmp-r-c9362baf-2b1d-47f8-9f41-6e1beb051076">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_PatientNL-GBA-identified-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.102'">(R_PatientNL-GBA-identified-confirmable): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.102' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:id
Item: (R_PatientNL-GBA-identified-confirmable)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:id"
         id="tmp-r-c7f48f5b-3152-4cd8-a584-d8ef2be08925">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_PatientNL-GBA-identified-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="string(@nullFlavor)='NA' or not(@nullFlavor)">(R_PatientNL-GBA-identified-confirmable): de waarde van @nullFlavor MOET 'NA' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.3' or not(@root)">(R_PatientNL-GBA-identified-confirmable): de waarde van @root MOET '2.16.840.1.113883.2.4.6.3' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr"
         id="tmp-r-fb55cff4-4fa6-4c62-b389-fd403414d0a9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:streetName)&lt;=1">(AdresKind): element hl7:streetName komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:houseNumber)&lt;=1">(AdresKind): element hl7:houseNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:buildingNumberSuffix)&lt;=1">(AdresKind): element hl7:buildingNumberSuffix komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:additionalLocator)&lt;=1">(AdresKind): element hl7:additionalLocator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:postalCode)&gt;=1 ">(AdresKind): element hl7:postalCode is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:postalCode)&lt;=1">(AdresKind): element hl7:postalCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:county)&lt;=1">(AdresKind): element hl7:county komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:city)&lt;=1">(AdresKind): element hl7:city komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:country)&lt;=1">(AdresKind): element hl7:country komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:desc)&lt;=1">(AdresKind): element hl7:desc komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="count(hl7:useablePeriod)&lt;=1">(AdresKind): element hl7:useablePeriod komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:streetName
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:streetName"
         id="tmp-r-60145fe6-0fa5-421f-b9c9-ea9207e07128">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:houseNumber
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:houseNumber"
         id="tmp-r-7535bd7c-ac6b-4c5b-a2ad-3ca86bb60218">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:buildingNumberSuffix
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:buildingNumberSuffix"
         id="tmp-r-d5942d98-ccc5-4b8f-9a96-1ae83ef5273c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:additionalLocator
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:additionalLocator"
         id="tmp-r-3b97cce2-2b8a-44ad-aa8a-25eae8a45d24">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="text()=('to','by')">(AdresKind): 
                        <name path=".."/>/<name/> MOET 'to' of 'by' zijn</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:postalCode
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:postalCode"
         id="tmp-r-9a299419-e464-431f-a057-f3736b491538">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="string-length(text())=7">(AdresKind): 
                        <name path=".."/>/<name/> MOET formaat 'nnnn AA' zijn (met spatie)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:county
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:county"
         id="tmp-r-5133b698-c343-4bd3-bfc0-10707a360ecf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'">(AdresKind): 
                        <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA-tabel 33</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:city
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:city"
         id="tmp-r-b1a22f2c-8749-4ad7-9c21-66487a944dad">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:country
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:country"
         id="tmp-r-d49e533d-1b11-47bf-a930-e44839ebdb56">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.4.16.34'">(AdresKind): 
                        <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA tabel 34 Landen</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10222
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:desc
Item: (AdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:desc"
         id="tmp-r-3181b9cd-51e1-4f29-aed6-292bddac207b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10222-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10251
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:useablePeriod
Item: (PeriodeGeldigheidAdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:useablePeriod"
         id="tmp-r-d6de2f3f-beb6-4843-b967-621ccbcde8ba">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeGeldigheidAdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="$elmcount&gt;=1">(PeriodeGeldigheidAdresKind): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="$elmcount&lt;=2">(PeriodeGeldigheidAdresKind): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(PeriodeGeldigheidAdresKind): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(PeriodeGeldigheidAdresKind): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="count(hl7:width)=0">(PeriodeGeldigheidAdresKind): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="count(hl7:center)=0">(PeriodeGeldigheidAdresKind): element hl7:center MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10251
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:useablePeriod/hl7:low
Item: (PeriodeGeldigheidAdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:useablePeriod/hl7:low"
         id="tmp-r-75972c41-c026-4361-af25-f42ab727d111">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeGeldigheidAdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(PeriodeGeldigheidAdresKind): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10251
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:useablePeriod/hl7:high
Item: (PeriodeGeldigheidAdresKind)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:useablePeriod/hl7:high"
         id="tmp-r-3bd309fe-a818-47ad-bfd0-ea55a92e5922">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PeriodeGeldigheidAdresKind): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.10251-2012-08-01T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(PeriodeGeldigheidAdresKind): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10251
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:useablePeriod/hl7:width
Item: (PeriodeGeldigheidAdresKind)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10251
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:addr/hl7:useablePeriod/hl7:center
Item: (PeriodeGeldigheidAdresKind)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson
Item: (R_PatientNL-GBA-identified-confirmable)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson"
         id="tmp-r-ed7d5dd3-3fa1-46d8-ab54-5e11fa432ac7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(R_PatientNL-GBA-identified-confirmable): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(R_PatientNL-GBA-identified-confirmable): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(R_PatientNL-GBA-identified-confirmable): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(R_PatientNL-GBA-identified-confirmable): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">(R_PatientNL-GBA-identified-confirmable): element hl7:birthTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:birthTime)&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:birthTime komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:name
Item: (R_PatientNL-GBA-identified-confirmable)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:name"
         id="tmp-r-ffbedfc4-9d04-40a3-be6e-723b8e0bb70e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_PatientNL-GBA-identified-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="string(@use)='OR'">(R_PatientNL-GBA-identified-confirmable): de waarde van @use MOET 'OR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)">(R_PatientNL-GBA-identified-confirmable): element hl7:given is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:given)&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:given komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:prefix)&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:prefix komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="count(hl7:family)&lt;=1">(R_PatientNL-GBA-identified-confirmable): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:name/hl7:given
Item: (R_PatientNL-GBA-identified-confirmable)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:name/hl7:given"
         id="tmp-r-8cdd3518-2319-4da0-9148-af31863ad762">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_PatientNL-GBA-identified-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="not(@qualifier)">(R_PatientNL-GBA-identified-confirmable): 
                                <name/>/@qualifier is niet toegestaan</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:name/hl7:prefix
Item: (R_PatientNL-GBA-identified-confirmable)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:name/hl7:prefix"
         id="tmp-r-28e661f2-83c0-4447-92f4-12a23b949295">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_PatientNL-GBA-identified-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="@qualifier='VV BR' or @qualifier='BR VV'">(R_PatientNL-GBA-identified-confirmable): 
                                <name/> moet de voorvoegsels van de geslachtsnaam bevatten</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:name/hl7:family
Item: (R_PatientNL-GBA-identified-confirmable)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:name/hl7:family"
         id="tmp-r-a0f8e48b-7cee-4d9b-9d65-e6a1fc6ef471">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_PatientNL-GBA-identified-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ENXP" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="string(@qualifier)='BR'">(R_PatientNL-GBA-identified-confirmable): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (R_PatientNL-GBA-identified-confirmable)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-eb675c2b-968b-497e-8e1f-548c0fbde146">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_PatientNL-GBA-identified-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(R_PatientNL-GBA-identified-confirmable): de elementwaarde MOET zijn W0023_HL7 W0023 Geslacht (HL7) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.23-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(R_PatientNL-GBA-identified-confirmable): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst W0023_HL7 W0023 Geslacht (HL7) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.102
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:birthTime
Item: (R_PatientNL-GBA-identified-confirmable)
-->

   <rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.102']]/hl7:patientPerson/hl7:birthTime"
         id="tmp-r-b768ea80-b043-4764-ace3-0db3e8d69a8a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20140528T125924/tmp-2.16.840.1.113883.2.4.6.10.100.102-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_PatientNL-GBA-identified-confirmable): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
